# Class MessageBatchRequestCounts | AnthropicClient
Represents the counts of requests in a batch of messages.

# Class MessageBatchRequestCounts

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents the counts of requests in a batch of messages.

    public class MessageBatchRequestCounts

Inheritance
  object
  MessageBatchRequestCounts

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Properties

### Canceled

Gets the number of requests in the batch that were cancelled.

    public int Canceled { get; init; }

#### Property Value

int

### Errored

Gets the number of requests in the batch that errored.

    public int Errored { get; init; }

#### Property Value

int

### Expired

Gets the number of requests in the batch that expired.

    public int Expired { get; init; }

#### Property Value

int

### Processing

Gets the number of requests in the batch that are processing.

    public int Processing { get; init; }

#### Property Value

int

### Succeeded

Gets the number of requests in the batch that succeeded.

    public int Succeeded { get; init; }

#### Property Value

int